<?php

namespace Saswp\Api\Public;
use Saswp\Api;
use Saswp\Api\Vendor\VendorGroup\VendorGroupWordpressPropertyPostApi;
use Saswp\Settings;
use WP_REST_Request;

class TriggerSitesController
{
    private Api $api;
    private Settings $settings;

    public function __construct(){
        $this->api = new Api();
        $this->settings = new Settings();
    }
    public function __invoke(WP_REST_Request $wpRestRequest):array
    {
        $vendorGroupWordpressPropertyPostApi = new VendorGroupWordpressPropertyPostApi();
        return $vendorGroupWordpressPropertyPostApi->__invoke($wpRestRequest);
    }


}
